Subject: Re: [Gen-art] Gen-ART review of draft-ietf-ospf-lls-06.txt

From: "Spencer Dawkins" <[email-masked]>
Date: Mon, 5 Jan 2009 17:45:37 -0600

Just to let people know, version 06 addresses all of my comments on -05...

Thanks!

Spencer

>I have been selected as the General Area Review Team (Gen-ART)
> reviewer for this draft (for background on Gen-ART, please see
> http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).
>
> Please resolve these comments along with any other Last Call comments
> you may receive.
>
>
> Document: draft-ietf-ospf-lls-05.txt
> Reviewer: Spencer Dawkins
> Review Date: 2008-11-05
> IETF LC End Date: 2008-11-10
>
> Summary: This document is on the right track for publication as Proposed 
> Standard. I have a couple of 2119 questions.
>
> Comments:
>
>   The 16-bit LLS Data Length field contains the length (in 32-bit
>   words) of the LLS block including the header and payload.
>   Implementations MUST NOT use the Length field in the IP packet header
>   to determine the length of the LLS data block.
>
> Spencer: I'm not sure this is a 2119 MUST NOT - aren't you just saying 
> that if you try it, you'll fail?
>
>   The CA-TLV MUST only appear once in the the LLS block.  Also, when
>   present, this TLV SHOULD be the last TLV in the LLS block.
>
> Spencer: Why SHOULD and not MUST? At a minimum, I would expect to see some 
> description of what should happen if CA-TLV is NOT the last TLV in the LLS 
> block - and if the expectation is that processing continues, I'm not sure 
> what this sentence means...
>
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art
> 

_______________________________________________
Gen-art mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/gen-art